Subject: bug#21218: ls -d

From: "Sneeh, Eddie" <[email-masked]>
Date: Mon, 10 Aug 2015 12:40:22 -0700

Hi Bob, thanks for the info.
If ya'll don't want to consider this a bug, that's fine, but I suggest
updating the definition for -d to clarify the true behavior.  If it must be
used with other options for it to be useful, then the definition should say
so because I sure don't see "list directory entries instead of contents".
I'm yet to see the usefulness of this option (used alone), other than in
Eric's example, which is what I was after.
If someone has some examples of ls -d usage, *without adding other switches* ,
I'd appreciate it.
Thanks again,
Eddie

On Sun, Aug 9, 2015 at 11:47 AM, Bob Proulx <[email-masked]> wrote:

> Sneeh, Eddie wrote:
> > I believe there is a problem with ls -d (unless the intent is to just
> list
> > 1 directory).
>
> Just noting this has an FAQ entry:
>
>
> http://www.gnu.org/software/coreutils/faq/coreutils-faq.html#ls-_002dd-does-not-list-directories_0021
>
> Bob
>

-- 
Best Regards,
*Eddie Sneeh*